Несколько уязвимостей в Joomla!

Дата публикации:
31.07.2007
Всего просмотров:
2408
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-4188
CVE-2007-4189
CVE-2007-4190
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Внедрение в сессию пользователя
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Joomla! 1.x
Уязвимые версии: Joomla! Версии до 1.0.13.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS атаку и внедриться в сессии других пользователей приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в com_search, com_content и mod_login. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "url". Удаленный пользователь может внедрить произвольные HTTP заголовки в ответ сервера и выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за ошибки при обработке сессий. Удаленный пользователь может обманом заставить авторизованного пользователя нажать на специально сформированную ссылку и внедриться в сессию целевого пользователя.

URL производителя: www.joomla.org

Решение: Установите последнюю версию 1.0.13 с сайта производителя.

или введите имя

CAPTCHA